Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362629 - [RFE] DHCP listen on all interfaces by default
Summary: [RFE] DHCP listen on all interfaces by default
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-02 17:47 UTC by David Juran
Modified: 2017-11-02 17:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-02 17:22:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 16936 None None None 2016-10-14 13:33:51 UTC

Description David Juran 2016-08-02 17:47:27 UTC
Description of problem:
The satellite-installer has an argument --foreman-proxy-dhcp-interface which defaults to eth0. This is a rather bold assumption to make, leading to hard-to-troubleshoot issues. 
In my opinion, a better default would be to _not_ limit dhcpd to a specific interface but rather omit that argument altogether.

Version-Release number of selected component (if applicable):
satellite-installer-6.2.0.11-1.el7sat

How reproducible:
Every time

Steps to Reproduce:
1. Set up a satellite, not using too many esoteric options
2. Scratch your head, wondering why provisioning on eth1 fail

Comment 2 Stephen Benjamin 2016-10-14 13:33:13 UTC
You can specify additional interfaces, so you're not limited to just one.

Comment 3 Stephen Benjamin 2016-10-14 13:33:49 UTC
Created redmine issue http://projects.theforeman.org/issues/16936 from this bug

Comment 4 Stephen Benjamin 2016-10-14 13:37:26 UTC
Also, you'd have to have a subnet declaration for each interface to listen on them, so this is probably a bad idea.  It would be better if you gave us a dhcp range, if we'd guess the right interface to use.  That's covered by BZ1266090

Comment 5 Bryan Kearney 2017-11-02 17:21:45 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the forseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Comment 6 Bryan Kearney 2017-11-02 17:22:19 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the forseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.